# WOK
TKWOK
WOKUnix

# WOKUnix_RemoteShell Class Reference

`#include <WOKUnix_RemoteShell.hxx>`

Inheritance diagram for WOKUnix_RemoteShell:

[legend]

## Public Member Functions

Standard_EXPORT | WOKUnix_RemoteShell (const Handle(TCollection_HAsciiString)&ahost, const TCollection_AsciiString &apath, const WOKUnix_ShellMode amode=WOKUnix_AsynchronousMode, const WOKUnix_PopenOutputMode outmode=WOKUnix_POPEN_MIX_OUT_ERR, const WOKUnix_PopenBufferMode bufmode=WOKUnix_POPEN_BUFFERED)
virtual Standard_EXPORT Standard_Integer | SyncAndStatus ()
Standard_EXPORT void | SetUser (const Handle(TCollection_HAsciiString)&auser)
Standard_EXPORT Handle_TCollection_HAsciiString | User () const
Standard_EXPORT void | SetPassword (const Handle(TCollection_HAsciiString)&auser)
Standard_EXPORT Handle_TCollection_HAsciiString | Password () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myuser
Handle_TCollection_HAsciiString | mypassword

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_RemoteShell::WOKUnix_RemoteShell | ( | const Handle(TCollection_HAsciiString)& | ahost,
|  | const TCollection_AsciiString & | apath,
|  | const WOKUnix_ShellMode | amode = `WOKUnix_AsynchronousMode`,
|  | const WOKUnix_PopenOutputMode | outmode = `WOKUnix_POPEN_MIX_OUT_ERR`,
|  | const WOKUnix_PopenBufferMode | bufmode = `WOKUnix_POPEN_BUFFERED`
| ) |

## Member Function Documentation

Standard_EXPORT const WOKUnix_RemoteShell::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKUnix_Shell.

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_RemoteShell::Password | ( |  | ) | const

Standard_EXPORT void WOKUnix_RemoteShell::SetPassword | ( | const Handle(TCollection_HAsciiString)& | auser | ) |

Standard_EXPORT void WOKUnix_RemoteShell::SetUser | ( | const Handle(TCollection_HAsciiString)& | auser | ) |

virtual Standard_EXPORT Standard_Integer WOKUnix_RemoteShell::SyncAndStatus | ( |  | ) | `[virtual]`

| Reimplemented from WOKUnix_Shell.

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_RemoteShell::User | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKUnix_RemoteShell::mypassword `[private]`

Handle_TCollection_HAsciiString WOKUnix_RemoteShell::myuser `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_RemoteShell.hxx